<Alte::Card @type="primary" as |card|>
  <card.header @title={{t "components.saving.fixed-rate.result.summary.title"}} @titleIcon="list" />
  <card.content>
    <Alte::Card::Body>
      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="percentage" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.financial-freedom.key-figures.savings-rate"}}
            <span class="tooltip-container">
              <BsTooltip @title={{t "components.saving.financial-freedom.key-figures.savings-rate-hint"}} />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span id="key-figures-interests" class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.averageSavingRate}}
                {{format-number @simulationRunner.result.averageSavingRate style="percent" minimumFractionDigits=2}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>

      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="piggy-bank" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.financial-freedom.key-figures.savings-amount"}}
            <span class="tooltip-container">
              <BsTooltip @title={{t "components.saving.financial-freedom.key-figures.savings-amount-hint"}} />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span data-test-key-figures-deposits-value class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.averageSavingAmount}}
                {{format-money @simulationRunner.result.averageSavingAmount}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>

      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="flag-checkered" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.financial-freedom.key-figures.fire-threshold"}}
            <span class="tooltip-container">
              <BsTooltip @title={{t "components.saving.financial-freedom.key-figures.fire-threshold-hint"}} />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span data-test-key-figures-deposits-value class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.fireThreshold}}
                {{format-money @simulationRunner.result.fireThreshold}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>

      <div class="d-flex justify-content-between align-items-center mb-0">
        <p class="text-xl">
          <FaIcon @icon="umbrella-beach" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.financial-freedom.key-figures.fire-date"}}
            <span class="tooltip-container">
              <BsTooltip @title={{t "components.saving.financial-freedom.key-figures.fire-date-hint"}} />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span data-test-key-figures-balance-value class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.fireEvent}}
                {{format-date @simulationRunner.result.fireEvent.date}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>
    </Alte::Card::Body>
  </card.content>
</Alte::Card>